Skip to navigation

Get web form configuration

View as Markdown

The Web Forms API is available in all developer accounts, but only in certain production account plans. Contact Docusign Support or your account manager to find out whether the Web Forms API is available for your production account plan.

Retrieves a web form configuration.

If you make changes to an active form configuration, the unchanged active version will also be maintained. The two versions will have the same formId but different formState values. Use the state query parameter to indicate which version to return.

Required authentication scopes: signature, webforms_read.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account to which the web form belongs.
formIdstringRequiredformat: "uuid"
The ID of the web form configuration.

Query parameters

stateenumOptionalDefaults to draft

The state of the web form configuration. Valid values:

  • active
  • draft
Allowed values:

Response

Web Form that represents a single active version with metadata
accountIdstringOptionalformat: "uuid"
Account identifier in which the webform resides
formContentobjectOptional
Container for the components map and future form data
formMetadataobjectOptional
Metadata for the web form.
formPropertiesobjectOptional
Properties of the web form configuration that are consistent across versions.
formStateenumOptional
The state of the form content
Allowed values:
hasDraftChangesbooleanOptional

When true, the web form configuration has changes that are not yet published.

idstringOptionalformat: "uuid"
Unique identifier for a webform entity that is consistent for it's lifetime
isEnabledbooleanOptional

When true, the web form configuration is activated. You can only create web form instances from enabled web forms.

isPublishedbooleanOptional

Whether the form is published (true or false).

isUploadedbooleanOptional
Indicates whether the form was created through an upload.
versionIdintegerOptional
Identifier for the version that can be used for display and retrieval in the API

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error